#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: nonce
version: 1.0.7
id: nonce-1.0.7-K671pQACn1RKbQWxmmci4W
key: nonce-1.0.7-K671pQACn1RKbQWxmmci4W
license: BSD3
copyright: (c) 2014 Prowdsponsor
maintainer: Prowdsponsor <opensource@prowdsponsor.com>
homepage: https://github.com/prowdsponsor/nonce
synopsis: Generate cryptographic nonces.
description:
    According to the Wikipedia, a nonce is an arbitrary number used
    only once in a cryptographic communication.  This package
    contain helper functions for generating nonces.
    .
    There are many kinds of nonces used in different situations.
    It'\''s not guaranteed that by using the nonces from this package
    you won'\''t have any security issues.  Please make sure that the
    nonces generated via this package are usable on your design.
category: Cryptography
author: Felipe Lessa <felipe.lessa@prowdsponsor.com>
exposed: True
indefinite: False
exposed-modules:
    Crypto.Nonce
abi: 9992d07f1376834e421f83ecf62a4e64
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/nonce-1.0.7
library-dirs: /usr/lib/ghc-8.2.2/site-local/nonce-1.0.7
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.2.2/nonce-1.0.7
hs-libraries: HSnonce-1.0.7-K671pQACn1RKbQWxmmci4W
depends:
    base-4.10.1.0 base64-bytestring-1.0.0.1-8MlzMz2YH3lCqJ4GOwL1Be
    bytestring-0.10.8.2 text-1.2.3.0-912fnkqHcZz4dFvcXKwtDz
    transformers-0.5.2.0 entropy-0.3.8-459fr1KgYZzBPF08mWgtQU
    unliftio-0.2.6.0-JLOOCpleJifJitVsVyof0T
    unliftio-core-0.1.1.0-3wrHy3Ijr0BBoYMyh4oX3g
abi-depends: base-4.10.1.0=0ea45191c57c268b2351cb731ab6a0d6
             base64-bytestring-1.0.0.1-8MlzMz2YH3lCqJ4GOwL1Be=fd5db0dc9688093c1ac2c3223371478e
             bytestring-0.10.8.2=4b2726b654ceeff6535e698a2a1e724e
             text-1.2.3.0-912fnkqHcZz4dFvcXKwtDz=29872508833c96394f0471371217bab0
             transformers-0.5.2.0=b5dee110a615d751493b7ce1c6f95946
             entropy-0.3.8-459fr1KgYZzBPF08mWgtQU=48b904d4ac32d9c7078ceefe10d1973a
             unliftio-0.2.6.0-JLOOCpleJifJitVsVyof0T=4ffa216476848404713c7b0857b50ea5
             unliftio-core-0.1.1.0-3wrHy3Ijr0BBoYMyh4oX3g=3d84d39d4127f80327155ddec46e058f
haddock-interfaces: /usr/share/doc/haskell-nonce/html/nonce.haddock
haddock-html: /usr/share/doc/haskell-nonce/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

